Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Class BMPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.bridge.bmp.BMPException

Direct Known Subclasses:
  RowNotFoundException

public class BMPException
extends ApplicationException

The BMPException passes implementation specific BMP exceptions through the SmartBMP interface.

See Also:
  Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`BMPException(java.lang.Exception string)`
`BMPException(java.lang.String string)`
`BMPException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] argument)` Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`BMPException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] argument, java.sql.SQLException sqlException)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.
`BMPException(java.lang.String namespace, java.lang.String messageKey, java.sql.SQLException sqlException)` Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BMPException

    public BMPException(java.lang.String string)

### BMPException

    public BMPException(java.lang.Exception string)

### BMPException

    public BMPException(java.lang.String namespace,
                        java.lang.String messageKey,
                        java.sql.SQLException sqlException)

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `sqlException` - The embedded exception.

### BMPException

    public BMPException(java.lang.String namespace,
                        java.lang.String messageKey,
                        java.lang.Object[] argument,
                        java.sql.SQLException sqlException)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `sqlException` - The embedded exception.

### BMPException

    public BMPException(java.lang.String namespace,
                        java.lang.String messageKey,
                        java.lang.Object[] argument)

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved